%global momorel 2

Name:           perl-Catalyst-Log-Log4perl
Version:        1.00
Release: %{momorel}m%{?dist}
Summary:        Log::Log4perl logging for Catalyst
License:        "Unknown"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Log-Log4perl/
Source0:        http://www.cpan.org/authors/id/H/HO/HOLOWAY/Catalyst-Log-Log4perl-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Catalyst-Runtime >= 5.60
BuildRequires:  perl-Log-Log4perl
BuildRequires:  perl-Params-Validate
BuildRequires:  perl-Sub-Install
Requires:       perl-Catalyst-Runtime >= 5.60
Requires:       perl-Log-Log4perl
Requires:       perl-Params-Validate
Requires:       perl-Sub-Install
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides a Catalyst::Log implementation that uses Log::Log4perl
as the underlying log mechanism. It provides all the methods listed in
Catalyst::Log, with the exception of:

%prep
%setup -q -n Catalyst-Log-Log4perl-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes example.conf README
%{perl_vendorlib}/*/*
%{perl_vendorlib}/*/*/*
%{_mandir}/man3/*

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.00-2m)
- rebuild against gcc43

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00-1m)
- update to 1.00

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.51-2m)
- use vendor

* Sun Mar 11 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.51-1m)
- update to 0.51

* Sun Mar 11 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.50-1m)
- update to 0.50
- add BuildRequies: perl-Sub-Install and Requires: perl-Sub-Install

* Sat Oct 07 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4-2m)
- delete dupclicate directory

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.4-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
